Skip to main content
PATCH
/
cases
/
{case_id}
/
searches
/
{search_id}
Update search status
curl --request PATCH \
  --url https://api.example.com/v1/cases/{case_id}/searches/{search_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "pending",
  "results_summary": "<string>"
}
'
{
  "data": {
    "id": "01K5XC08DJ6T33HRYE78AN7GHI",
    "type": "real_estate",
    "status": "completed",
    "completed_at": "2025-09-24T12:52:00Z",
    "results_summary": "2 properties found in Cache County, UT",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

case_id
string
required

Unique case identifier (ULID format).

search_id
string
required

Search identifier.

Body

application/json
status
enum<string>
Available options:
pending,
in_progress,
completed,
failed,
cancelled
results_summary
string

Response

Search updated.

data
object